<?php
declare(strict_types=1);

namespace Inti\Wp\Provider\Metadata;

use Inti\Provider\ProviderInterface;

/**
 * Pružatelj metapodataka.
 *
 * @package Inti\Wp\Provider\Metadata
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-provider
 */
interface MetadataProviderInterface extends ProviderInterface
{
    public function getMetadata(int $id): array;
    public function hasMetadataKey(string $key): bool;
}
